Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class ICurveGraphicGL

    java.lang.Object
      igeo.IGraphicObject
          igeo.gui.ICurveGraphicGL

All Implemented Interfaces:
  IGraphicI, ISubobject

    public class ICurveGraphicGL

extends IGraphicObject

Graphic subobject class to draw a curve object by OpenGL

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`ICurveI` | `curve`
`IGLLineStrip` | `polyline`
`float` | `weight`

Fields inherited from class igeo.IGraphicObject
`color, defaultAlpha, defaultBlue, defaultGreen, defaultRed, parent, transparentModeAlpha, update, visible`

Constructor Summary
`ICurveGraphicGL(ICurve crv)`
`ICurveGraphicGL(ICurveR crv)`

Method Summary
`void` | `draw(IGraphics g)`
`void` | `initCurve()`
`boolean` | `isDrawable(IGraphicMode m)`

Methods inherited from class igeo.IGraphicObject
`getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getColor, getHSBColor, getHSBColor, hide, isVisible, parent, parent, setAttribute, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, show, update, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### weight

    public float weight

### curve

    public ICurveI curve

### polyline

    public IGLLineStrip polyline

Constructor Detail

### ICurveGraphicGL

    public ICurveGraphicGL(ICurve crv)

### ICurveGraphicGL

    public ICurveGraphicGL(ICurveR crv)

Method Detail

### initCurve

    public void initCurve()

### isDrawable

    public boolean isDrawable(IGraphicMode m)

  Specified by:
    `isDrawable` in interface `IGraphicI`
  Specified by:
    `isDrawable` in class `IGraphicObject`

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IGraphicI`
  Specified by:
    `draw` in class `IGraphicObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD